## target-factory 1.3.2

=== debian/changelog ===
target-factory (1.3.2-1) unstable; urgency=low

  * Initial release (Closes: #990700)

 -- Punit Agrawal <punit@debian.org>  Tue, 06 Apr 2021 08:01:33 +0000

## target-factory 1.4

=== CMakeLists.txt ===
#
# Copyright 2019 Xilinx Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
cmake_minimum_required(VERSION 3.5)
project(target-factory VERSION 1.4.0 LANGUAGES C CXX)

include(${CMAKE_SOURCE_DIR}/cmake/VitisCommon.cmake)

option(BUILD_TEST "build test" OFF)

find_package(Protobuf REQUIRED)
find_package(unilog REQUIRED)

add_subdirectory(src)

file(RELATIVE_PATH REL_INCLUDE_DIR
  ${CMAKE_INSTALL_PREFIX}/share/cmake/${PROJECT_NAME}
  ${CMAKE_INSTALL_PREFIX}/include)

set(CONF_INCLUDE_DIRS "\${${PROJECT_NAME}_CMAKE_DIR}/${REL_INCLUDE_DIR}")
configure_file(cmake/config.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  @ONLY)

write_basic_package_version_file(
  "${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY AnyNewerVersion)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  DESTINATION share/cmake/${PROJECT_NAME})

if(BUILD_TEST)
  add_subdirectory(test)
endif()

set(CPACK_PACKAGE_NAME "libtarget-factory")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A factory to generate DPU target description file")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/Copyright.txt")
set(CPACK_PACKAGE_VENDOR "Humanity")
set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${CMAKE_PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${CMAKE_PROJECT_VERSION_PATCH})
set(CPACK_PACKAGE_CONTACT "Jian Weng<jianweng@xilinx.com>")
set(CPACK_PACKAGING_INSTALL_PREFIX "/usr")

set(CPACK_DEB_COMPONENT_INSTALL OFF)
set(CPACK_DEBIAN_PACKAGE_SECTION "devel")
set(CPACK_DEBIAN_ARCHIVE_TYPE "gnutar")
set(CPACK_DEBIAN_COMPRESSION_TYPE "gzip")
set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libunilog (>=1.2.0)")
set(CPACK_DEBIAN_FILE_NAME DEB-DEFAULT)
if(DEFINED ENV{BUILD_NUMBER})
  set(CPACK_DEBIAN_PACKAGE_RELEASE "r$ENV{BUILD_NUMBER}")
endif()
if(CMAKE_SYSTEM_PROCESSOR STREQUAL "aarch64")
  set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "arm64")
elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
else()
  set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
endif()

set(CPACK_RPM_COMPONENT_INSTALL OFF)
set(CPACK_RPM_PACKAGE_LICENSE "Apache")
set(CPACK_RPM_PACKAGE_GROUP "Development/Tools")
set(CPACK_RPM_COMPRESSION_TYPE "xz")
set(CPACK_RPM_PACKAGE_REQUIRES "libunilog >= 1.2.0")
set(CPACK_RPM_FILE_NAME RPM-DEFAULT)
if(DEFINED ENV{BUILD_NUMBER})
  set(CPACK_RPM_PACKAGE_RELEASE "r$ENV{BUILD_NUMBER}")
endif()
set(CPACK_RPM_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
if(CMAKE_SYSTEM_PROCESSOR STREQUAL "cortexa72-cortexa53")
    set(CPACK_RPM_PACKAGE_ARCHITECTURE "aarch64")
endif()

include(CPack)

=== debian/changelog ===
target-factory (1.4-1) unstable; urgency=medium

  * New upstream released.
  * Add symbol file for libtarget-factory1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Oct 2021 14:39:46 +0900

=== debian/control ===
Source: target-factory
Section: libs
Priority: optional
Maintainer: Punit Agrawal <punit@debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
	libprotobuf-dev,
	libunilog-dev,
	protobuf-compiler
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/Xilinx/Vitis-AI
Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/target-factory.git
Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/target-factory

Package: libtarget-factory1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Factory library to generate DPU target description file
 A factory to manage Deep learning Processing Unit (DPU) target
 description infos. Register targets and then you can get infos by name
 or fingerprint.
 .
 This package provides the runtime environment for target-factory.

Package: libtarget-factory-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libtarget-factory1 (= ${binary:Version})
Description: Factory library to generate DPU target description file (develop)
 A factory to manage Deep learning Processing Unit (DPU) target
 description infos. Register targets and then you can get infos by name
 or fingerprint.
 .
 This package provides the development environment for target-factory.

## target-factory 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # limitations under the License.
 #
 cmake_minimum_required(VERSION 3.5)
-project(target-factory VERSION 1.4.0 LANGUAGES C CXX)
+project(target-factory VERSION 1.4.1 LANGUAGES C CXX)
 
 include(${CMAKE_SOURCE_DIR}/cmake/VitisCommon.cmake)

=== debian/changelog ===
target-factory (1.4.1-1) unstable; urgency=medium

  * New upstream released.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 22 Dec 2021 17:29:11 +0900

target-factory (1.4-5) unstable; urgency=medium

  * Update Maintainer and Uploaders.
  * Update symbols files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Nov 2021 09:03:59 +0900

target-factory (1.4-4) unstable; urgency=medium

  * Fix FTBFS on armhf and other arch.
    - Add symbols file for each arch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Nov 2021 07:47:41 +0900

target-factory (1.4-3) unstable; urgency=medium

  * Fix FTBFS on armhf and other arch.
    - Add d/patches/0004-Fix-format-of-sprintf.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Nov 2021 09:19:56 +0900

target-factory (1.4-2) unstable; urgency=medium

  * Update d/libtarget-factory1.symbols (Closes: #997461)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 31 Oct 2021 09:06:12 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: target-factory
 Section: libs
 Priority: optional
-Maintainer: Punit Agrawal <punit@debian.org>
-Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Uploaders: Punit Agrawal <punit@debian.org>,
+	   Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13),
 	libprotobuf-dev,
 	libunilog-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

CONFIGURE_ARGS = -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_FLAGS_DEBUG=""

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_missing:
	dh_missing --list-missing

## target-factory 2.5

=== CMakeLists.txt ===
#
# Copyright 2019 Xilinx Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# get the git repo branch and commit id and write them into config.hpp
execute_process(
  COMMAND git rev-parse --abbrev-ref HEAD
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  OUTPUT_VARIABLE PROJECT_GIT_BRANCH_NAME
  OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(
  COMMAND git rev-parse HEAD
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  OUTPUT_VARIABLE PROJECT_GIT_COMMIT_ID
  OUTPUT_STRIP_TRAILING_WHITESPACE)
configure_file(config.hpp.in config.hpp @ONLY)

# run protoc
protobuf_generate_cpp(PROTO_SRCS PROTO_HDRS EXPORT_MACRO TARGET_FACTORY_DLLESPEC target.proto)
#set_source_files_properties(${PROTO_SRCS} PROPERTIES COMPILE_FLAGS -Wno-unused-variable)
if(MSVC) 
	set_source_files_properties(${PROTO_SRCS} PROPERTIES COMPILE_DEFINITIONS "TARGET_FACTORY_DLLESPEC=__declspec(dllexport)")
else(MSVC)
	set_source_files_properties(${PROTO_SRCS} PROPERTIES COMPILE_DEFINITIONS "TARGET_FACTORY_DLLESPEC=__attribute__((visibility(\"default\")))")
endif(MSVC)
# process target files
file(GLOB PROTOTXT_FILE_LIST ${PROJECT_SOURCE_DIR}/targets/*.prototxt)
set(TARGET_PROTOTXT_LST "")
set(TARGET_PROTOTXT_CODE "")
foreach(PROTOTXT_FILE ${PROTOTXT_FILE_LIST})
  file(READ ${PROTOTXT_FILE} _hex HEX)
  # Separate into individual bytes.
  string(REGEX MATCHALL "([A-Za-z0-9][A-Za-z0-9])" _separated_hex "${_hex}")
  list(APPEND _separated_hex "00")
  # Append the "0x" to each byte.
  list(JOIN _separated_hex ",0x" _formatted_hex)
  # JOIN misses the first byte's "0x", so add it here.
  string(PREPEND _formatted_hex "0x")
  string(MAKE_C_IDENTIFIER ${PROTOTXT_FILE} _c_name)
  string(APPEND TARGET_PROTOTXT_CODE "static constexpr char ${_c_name} [] = { ${_formatted_hex} };\n")
  list(APPEND TARGET_PROTOTXT_LST "(const char *)${_c_name}")
endforeach()
list(JOIN TARGET_PROTOTXT_LST "," TARGET_PROTOTXTS)
configure_file(${PROJECT_SOURCE_DIR}/src/target_list.hpp.in target_list.hpp
               ESCAPE_QUOTES @ONLY)

# build library
aux_source_directory(. CPP_SRCS)
add_library(${PROJECT_NAME} SHARED ${PROTO_SRCS} ${CPP_SRCS})
# Enable Export of public APIs
target_compile_definitions(${PROJECT_NAME} PRIVATE -DTARGET_FACTORY_EXPORT
	# for an unknown reason, g++ 9.3 produces compilation errors related to PRI64X
	-D__STDC_FORMAT_MACROS=1)

set_target_properties(${PROJECT_NAME} PROPERTIES
  VERSION "${PROJECT_VERSION}"
  SOVERSION "${PROJECT_VERSION_MAJOR}")
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  $<INSTALL_INTERFACE:include>
)
target_link_libraries(${PROJECT_NAME} PUBLIC protobuf::libprotobuf PRIVATE unilog::unilog)

# add python api
if(BUILD_PYTHON)
    add_subdirectory(python_api)
endif()

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}-targets
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib)
install(
  FILES ${PROTO_HDRS} ${PROJECT_SOURCE_DIR}/include/vitis/ai/target_factory.hpp
  DESTINATION include/vitis/ai)
install(
  EXPORT ${PROJECT_NAME}-targets
  NAMESPACE ${PROJECT_NAME}::
  DESTINATION share/cmake/${PROJECT_NAME})

=== requirements.txt ===
# This file may be used to create an environment using:
# $ conda create --name <env> --file <this file>
# platform: linux-64
cmake=3.16.0=h28c56e5_2
pybind11=2.3.0=py36hc9558a2_2
libprotobuf=3.11.4=h8b12597_0

=== python_api/CMakeLists.txt ===
# Copyright 2019 Xilinx Inc.

# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at

# http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

vai_add_pybind11_module(wrapper MODULE_NAME target_factory wrapper.cpp)
target_link_libraries(wrapper PRIVATE ${PROJECT_NAME} unilog::unilog)

=== debian/changelog ===
target-factory (2.5-11.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:01:17 +1100

target-factory (2.5-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062967

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:03:35 +0000

target-factory (2.5-11) unstable; urgency=medium

  * Remove symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Jan 2023 14:55:02 +0900

target-factory (2.5-10) unstable; urgency=medium

  * Update riscv64's symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Jan 2023 17:18:41 +0900

target-factory (2.5-9) unstable; urgency=medium

  * Update symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Jan 2023 12:10:24 +0900

target-factory (2.5-8) unstable; urgency=medium

  * Update d/*.symbols for amd64. (Closes: #1023496)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Jan 2023 09:35:29 +0900

target-factory (2.5-7) unstable; urgency=medium

  * Update symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Sep 2022 11:37:16 +0900

target-factory (2.5-6) experimental; urgency=medium

  * Updated d/patches.
    - Drop 0001-Drop-dependency-on-source-repository-hash.patch
    - Add 0001-Use-PROJECT_VERSION-instead-of-PROJECT_GIT_COMMIT_ID.patch
  * Remove debian version from symbols file.
  * Update d/libtarget-factory2.symbols.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Sep 2022 10:15:17 +0900

target-factory (2.5-5) unstable; urgency=medium

  * Update symbols for riscv64 and x32.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 06 Aug 2022 09:37:17 +0900

target-factory (2.5-4) unstable; urgency=medium

  * Upload to unstable.
  * Update d/libtarget-factory2.symbols.riscv64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Aug 2022 17:04:27 +0900

target-factory (2.5-3) experimental; urgency=medium

  * Update d/libtarget-factory2.symbols.i386

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Aug 2022 07:28:42 +0900

target-factory (2.5-2) experimental; urgency=medium

  * Update d/*.symbolsa.*.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Aug 2022 06:22:03 +0900

target-factory (2.5-1) experimental; urgency=medium

  * New upstream released. (Closes: #1013047)
  * Update d/control.
    - Bumped Standards-Version to 4.6.1.
    - Add version specification to libunilog-dev.
  * Update debian/patches/0001-Drop-dependency-on-source-repository-hash.patch.
  * Update d/rules.
    - Add --buildsystem=cmake to dh's option.
    - Enable LTO.
  * Update d/libtarget-factory2.symbols (Closes: #1015681)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Aug 2022 16:34:14 +0900

target-factory (2.0-3) experimental; urgency=medium

  * Add d/libtarget-factory2.symbols.armhf.
  * Update d/libtarget-factory2.symbols.riscv64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 07 Jun 2022 10:43:56 +0900

target-factory (2.0-2) experimental; urgency=medium

  * Add d/libtarget-factory2.symbols.i386.
  * Add d/libtarget-factory2.symbols.armel.
  * Add d/libtarget-factory2.symbols.mipsel.
  * Add d/libtarget-factory2.symbols.hppa.
  * Add d/libtarget-factory2.symbols.ia64.
  * Add d/libtarget-factory2.symbols.m68k.
  * Add d/libtarget-factory2.symbols.powerpc.
  * Add d/libtarget-factory2.symbols.riscv64.
  * Add d/libtarget-factory2.symbols.sh4.
  * Add d/libtarget-factory2.symbols.x32.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 Jun 2022 17:43:06 +0900

target-factory (2.0-1) experimental; urgency=medium

  * New upstream released.
  * Update d/patches.
    - Remove d/patches/0004-Fix-format-of-sprintf.patch
    - Refresh d/patches
  * Update soname to 2.
    - Change package name to libtarget-factory2.
  * Update d/rules.
    - Drop DEB_LDFLAGS_MAINT_APPEND
  * Update d/copyright
    - Add myself to debian's copyright.
  * Update d/control:
    - Bump Standards-Version to 4.6.0.1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Jun 2022 13:22:05 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: target-factory
 Section: libs
 Priority: optional
-Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
 Uploaders: Punit Agrawal <punit@debian.org>,
 	   Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+	cmake,
 	libprotobuf-dev,
-	libunilog-dev,
+	libunilog-dev (>= 2.5),
 	protobuf-compiler
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/Vitis-AI
 Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/target-factory.git
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/target-factory
 
-Package: libtarget-factory1
+Package: libtarget-factory2t64
+Provides: ${t64:Provides}
+Replaces: libtarget-factory2
+Breaks: libtarget-factory2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -29,7 +34,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libtarget-factory1 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libtarget-factory2t64 (= ${binary:Version})
 Description: Factory library to generate DPU target description file (develop)
  A factory to manage Deep learning Processing Unit (DPU) target
  description infos. Register targets and then you can get infos by name

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

CONFIGURE_ARGS = -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_FLAGS_DEBUG=""

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_missing:
	dh_missing --list-missing
